libvisio::VSDFieldList Class Reference

`#include <VSDFieldList.h>`

## Public Member Functions

| VSDFieldList ()
| VSDFieldList (const VSDFieldList &fieldList)
| ~VSDFieldList ()
VSDFieldList & | operator= (const VSDFieldList &fieldList)
void | setElementsOrder (const std::vector< unsigned > &m_elementsOrder)
void | addFieldList (unsigned id, unsigned level)
void | addTextField (unsigned id, unsigned level, int nameId, int formatStringId)
void | addNumericField (unsigned id, unsigned level, unsigned short format, unsigned short cellType, double number, int formatStringId)
void | addClonedField (unsigned id)
void | handle (VSDCollector *collector) const
void | clear ()
unsigned long | size () const
bool | empty () const
VSDFieldListElement * | getElement (unsigned index)

## Private Attributes

std::map< unsigned, std::unique_ptr< VSDFieldListElement > > | m_elements
std::vector< unsigned > | m_elementsOrder
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDFieldList() [1/2]

libvisio::VSDFieldList::VSDFieldList | ( |  | ) |

## VSDFieldList() [2/2]

libvisio::VSDFieldList::VSDFieldList | ( | const VSDFieldList & | fieldList | ) |

## ~VSDFieldList()

libvisio::VSDFieldList::~VSDFieldList | ( |  | ) |

## Member Function Documentation

## addClonedField()

void libvisio::VSDFieldList::addClonedField | ( | unsigned | id | ) |

## addFieldList()

void libvisio::VSDFieldList::addFieldList | ( | unsigned | id,
|  | unsigned | level )

## addNumericField()

void libvisio::VSDFieldList::addNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | unsigned short | cellType,
|  | double | number,
|  | int | formatStringId )

## addTextField()

void libvisio::VSDFieldList::addTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId )

## clear()

void libvisio::VSDFieldList::clear | ( |  | ) |

Referenced by operator=().

## empty()

bool libvisio::VSDFieldList::empty | ( |  | ) | const

inline

Referenced by handle().

## getElement()

libvisio::VSDFieldListElement * libvisio::VSDFieldList::getElement | ( | unsigned | index | ) |

## handle()

void libvisio::VSDFieldList::handle | ( | VSDCollector * | collector | ) | const

## operator=()

libvisio::VSDFieldList & libvisio::VSDFieldList::operator= | ( | const VSDFieldList & | fieldList | ) |

## setElementsOrder()

void libvisio::VSDFieldList::setElementsOrder | ( | const std::vector< unsigned > & | m_elementsOrder | ) |

## size()

unsigned long libvisio::VSDFieldList::size | ( |  | ) | const

inline

## Member Data Documentation

## m_elements

std::map<unsigned, std::unique_ptr<VSDFieldListElement> > libvisio::VSDFieldList::m_elements

private

Referenced by addNumericField(), addTextField(), clear(), empty(), getElement(), handle(), operator=(), size(), VSDFieldList(), and VSDFieldList().

## m_elementsOrder

std::vector<unsigned> libvisio::VSDFieldList::m_elementsOrder

private

Referenced by clear(), getElement(), handle(), operator=(), setElementsOrder(), VSDFieldList(), and VSDFieldList().

## m_id

unsigned libvisio::VSDFieldList::m_id

private

Referenced by addFieldList(), handle(), operator=(), VSDFieldList(), and VSDFieldList().

## m_level

unsigned libvisio::VSDFieldList::m_level

private

Referenced by addFieldList(), handle(), operator=(), VSDFieldList(), and VSDFieldList().

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp